/*
 Theme Name: Cabinet Gossin - Victor - 2026
 Description: Un thème enfant décliné du thème parent RemSEO Flexo. Le thème parent intègre la gestion des éléments vitrines + actualités + évènements + lieux d'accueil. Le thème enfant intègre du style CSS + code JS personnalisés et modifie certains gabarits du thème parent. L'ensemble est développé autour d'ACF + Elementor + Gutenberg
 Author: Rémi COLIN
 Template: remseowoocommerce
 Version: 1.0.0
*/

/*------------------------
 ##OVERWRITE Primary HTML
--------------------------*/
:root {
	--main-bg: #ffffff;
	--alt-bg: #F5F4F9; /*Grey ~light*/
	--secondary-bg: #ececec; /*Violet ~Light*/
	--dark-txt-color: #131313; /*Black*/
	--hovered-dark-txt: #868683; /*Black*/
	--light-txt-color: #f5f5f5; /*White ~greyish*/
	--hovered-light-txt: #E0E0E0; /*White ~more greyish*/
	--title-color: #000000; /*Full Black*/
	--featured-color: #c9a050; /*Violet*/
		--featured-color-50: rgba(201, 160, 80, 0.5);
		--featured-color-90: rgba(201, 160, 80, 0.9);
		--featured-color-80: rgba(201, 160, 80, 0.8);
		--featured-color-darker: #AC8435;
		--featured-color-lighter: #D9BC82; /*#D5C8E1*/
	--alt-featured-color: #23262d; /*Rose ~Light skin*/
	--alt-dark-feat-color : #000000; /*Red ~Nancy Metropole*/
	--ctas-color: #c9a050; /*Same as featured color*/
	--ctas-darker-color: #AC8435;
	--cf-submit-color: #AC8435;
}

/*New fonts - Body*/
@font-face {
	font-family:'Roboto-Regular';
	src: url('./assets/fonts/Roboto-Regular.ttf') format('TrueType');
	font-display: swap;
}

@font-face {
	font-family:'Roboto-Bold';
	src: url('./assets/fonts/Roboto-Bold.ttf') format('TrueType');
	font-display: swap;
}

@font-face {
	font-family:'Roboto-Light';
	src: url('./assets/fonts/Roboto-Light.ttf') format('TrueType');
	font-display: swap;
}

/*New fonts - Titles*/
@font-face {
	font-family:'LatoRegular';
	src: url('./assets/fonts/Lato-Regular.ttf') format('TrueType');
	font-display: swap;
}

@font-face {
	font-family:'LatoBlack';
	src: url('./assets/fonts/Lato-Black.ttf') format('TrueType');
	font-display: swap;
}

body {font-weight: 400; font-family: 'Roboto-Regular', sans-serif; font-size: 1.20rem;}
em {font-family: 'Roboto-Light', sans-serif;}
h1 {font-family: 'LatoBlack', sans-serif;}
h2,
h3,
h4,
h5,
h6 {
	font-family: 'LatoRegular', sans-serif;
}

/*---------------------
  ##FAST custom/fix
----------------------*/
/*Fix image cover object-position*/
.img-cover {object-position: center center;}
/*FIX post feed with custom MdF (borders) design*/
.post-feed {margin-top: 5rem !important;}
.post-feed > div.loop-title {padding: 12px 0 48px 12px;}
.post-feed > div.loop-title > h2 {font-size: 2rem;}
.panel-post.card .card-description {bottom: -24px;}

/*FIX posts archive CTA color (see more) | Accessibility WCAG*/
.article-feed-thumbnail figure figcaption .show-more-link {color: var(--dark-txt-color) !important;}

/*Add margin-top to elementor button to align elements*/
div.elementor-widget-button.auto-merged-top {margin-top: auto !important;}

div.elementor-widget-text-editor ul li,
div.elementor-widget-text-editor ol li {margin: 8px 0;}

/*---------------------
  ##Read More (inline txt)
----------------------*/
div.custom-inline-readmore .read-more-state {display: none;}
/* div.custom-inline-readmore .read-more-wrap {} */
/* div.custom-inline-readmore .read-more-wrap blockquote {max-width:max-content; margin: 0; padding-left: 0; box-shadow: none;} */
div.custom-inline-readmore .read-more-wrap blockquote {
  opacity: 0;
  max-height: 0;
  max-width:max-content;
  margin: 0;
  padding: 0;
  font-size: 0;
  box-shadow: none;
  transition: .25s ease;
}
div.custom-inline-readmore .read-more-state:checked ~ .read-more-wrap blockquote {
  opacity: 1;
  font-size: inherit;
  max-height: 999em;
}
div.custom-inline-readmore .read-more-state ~ .read-more-trigger:before {content: 'Continuer la lecture';}
div.custom-inline-readmore .read-more-state:checked ~ .read-more-trigger:before {content: 'Cacher le texte';}
div.custom-inline-readmore .read-more-trigger {
  position: relative;
  display: inline-block;
  z-index: 1;
  padding: 0 .5em;
  color: #666;
  font-size: .9em;
  line-height: 2;
  border: 1px solid #ddd;
  border-radius: .25em;
  cursor: pointer;
}

/*---------------------
  ##Izmir custom
----------------------*/
.c4-izmir {
  --primary-color: var(--featured-color);
  --secondary-color: var(--featured-color-darker);
  --transition-duration: 500ms;
  --border-width: 6px;
  --overlay-opacity: .5;
  --padding: 0;
}

/*-----------------------------
  ## Forminator Custom
-------------------------------*/
/*FIX vertical alignment between consentment checkbox and label*/
div.forminator-checkbox__label.forminator-consent__label > p {margin-top: 0;}
/*FIX auto width fields*/
div.forminator-col-12.w50 {max-width: min(50%,var(--width));}
@media all and (max-width: 580px) {
	div.forminator-col-12.w50 {max-width: initial;}
}

/*-----------------------------
  ## Elementor - Generic
-------------------------------*/
.elementor-element.elem-custom-cta > a {width: 100%;}
.elementor-element.elem-custom-cta > a:after {
	content: '';
	position: relative;
	display: block;
	bottom: -6px;
	left: 50%;
	width: 0%;
	border-bottom: 2px solid;
	transition: 400ms all ease-in-out;
}
.elementor-element.elem-custom-cta:hover > a:after {width: 100%;left: 0%;}

.elementor-element.title-icons-fa .fa {padding-right: 12px; margin-bottom: auto;}
.elementor-element.title-icons-fa .fas {padding-right: 12px; margin-bottom: auto;}
.elementor-element.title-icons-fa .far {padding-right: 12px; margin-bottom: auto;}

.elementor-widget-video.img-disabled .elementor-custom-embed-image-overlay img {opacity: 0}
.elementor-element > .elementor-widget-shortcode > .elementor-widget-container > .elementor-shortcode > .theme-widget {
	padding: 0;
	margin: 0;
}
.elementor-testimonial-wrapper .elementor-testimonial-content {font-size: 1rem; font-style: italic;}
.elementor-counter .elementor-counter-number {
	font-size: 2.5rem;
	font-weight: 700;
	background: var(--alt-featured-color);
	color: var(--light-txt-color);
	padding: 6px 12px;
	border-radius: 12px;
}

.elementor-element.elementor-widget-counter.custom-counter .elementor-counter .elementor-counter-number-wrapper .elementor-counter-number-prefix,
.elementor-element.elementor-widget-counter.custom-counter .elementor-counter .elementor-counter-number-wrapper .elementor-counter-number-suffix {
	align-content: center;
	font-size: 1rem;
	font-weight: 400;
}

/*---------------------
  ## Elementor Modal
----------------------*/
/*Elementor modal management with materialize.css*/
body:not(.elementor-editor-active) div.e-con.e-child > .modal {position: fixed;}

.elementor > .elementor-element.e-con.e-parent .e-con.e-child.modal {
	display: none;
	width: 55%;
	padding: 0;
	margin: 0 auto;
	overflow-y: auto;
	border-radius: 2px;
}

/*-----------------------------
  ## Posts archive
-------------------------------*/
section.post-feed > div.post-container {margin-top: 12px;margin-bottom: 12px;}
.panel-post.classic .post-thumbnail figure img {height: 275px;}
.panel-post.classic .post-main-datas {padding: 24px 12px;}
.panel-post .post-main-datas .archive-post-title {transition: 400ms all ease-in-out;}
.panel-post:hover .post-main-datas .archive-post-title {color: var(--featured-color-darker) !important;}

.panel-post .card-title {text-align: center;}
.panel-post .card-title > span.access-type {
	font-size: 1rem;
	font-weight: 400;
	padding-bottom: 12px;
}

.panel-post .card-body > div.card-subtitle {
	width: max-content;
	font-size: 0.9rem;
	background-color: var(--featured-color-darker);
	color: var(--light-txt-color);
	padding: 4px 12px;
	margin: 0 auto;
}

.panel-post .card-resa-metas {
	position: absolute;
	top: 12px;
	left: 0;
	font-size: 0.9rem;
	background-color: var(--featured-color);
	color: var(--light-txt-color);
	text-align: center;
	padding: 6px;
}

/*-----------------------------
  ## ACF widget - Teams
-------------------------------*/
.team-section .team-cards .acf-block-slider .team-content .card.show-more .text {background-color: var(--featured-color-80)}
div.elementor-element.elementor-widget-shortcode div.theme-widget.team-section button,
div.elementor-element.elementor-widget-shortcode div.theme-widget.team-section button:hover {background-color: transparent;}
div.elementor-element.elementor-widget-shortcode div.theme-widget.team-section button.slick-prev {left: 0;}
div.elementor-element.elementor-widget-shortcode div.theme-widget.team-section button.slick-next {right: 2rem;}

/*-----------------------------
  ## ACF widgets FIX - TIMELINE
-------------------------------*/
.timeline-section.correctedH {height: auto; transition: 400ms height ease-in-out;}
.timeline-section.correctedH:after {
  content: "Voir plus";
  background: var(--alt-bg);
  height: initial;
  width: initial;
  border: none;
  border-radius: 12px;
  position: absolute;
  right: calc(50% - 15px);
  bottom: 124px;
  padding: 4px 8px;
  z-index: 1;
  cursor: pointer;
}

.timeline-section.correctedH .timeline-content p {
  text-align: justify;
}

.timeline-section.correctedH .timeline-content:nth-child(n+3) {
	opacity: 0;
	height: 0;
	transition: 400ms all ease-in-out;
}

.timeline-section.correctedH.expanded .timeline-content:nth-child(n+3) {
	opacity: 1;
	height: auto;
}

.timeline-section.correctedH.expanded {height: initial;}
.timeline-section.correctedH.expanded:after {
  content: "";
  background: var(--main-bg);
  height: 30px;
  width: 30px;
  border: 5px solid;
  border-radius: 50%;
  position: absolute;
  right: calc(50% - 15px);
  bottom: -12.5px;
  z-index: 1;
}

/*---------------------
  ## Header
----------------------*/
/*Main navigation*/
nav.site-navigation div.main-menu > ul.main-nav {justify-content: flex-end; margin-right: 48px;}
nav.site-navigation div.main-menu > ul.main-nav > li {margin: 0 48px;}

@media all and (max-width: 1026px) {
	ul.branding-logos-nav {display: none;}
}

/*Sticky navigation*/
.site-navigation .menu-item.fixed-only {
	width: 0px;
	margin: 0px;
	opacity: 0;
	transition: 400ms all ease-in-out;
}

.site-navigation.sticky .menu-item.fixed-only {width: 100%;margin: 0 auto;opacity: 1;}

.logo-container-nav .site-branding img.custom-logo {height: 100%;}

/*Navigation submenus*/
.site-navigation ul.main-menu ul.sub-menu {background-color: var(--featured-color);}

.site-navigation ul.main-menu > li.menu-item-has-children > .sub-menu::before {border-left-color: var(--alt-featured-color);border-bottom-color: var(--featured-color);}

/*MOBILE NAV*/
.main-menu li.menu-item-hamburger {margin: 0px 12px 0px auto;}

/*---------------------
  ## Footer
----------------------*/
.main-footer {background-color: var(--alt-featured-color)}
.main-footer div > img.footer-logo {max-width: 125px;height: auto;}
.main-footer div.footer-multiple-imgs > svg {max-width: 240px;height: auto; margin: 0 auto;}
.main-footer div.footer-multiple-imgs > svg path.st0 {fill: var(--main-bg);}

.main-footer div.widget-address.multiple.col-12_sm-12_xs-12 {
	margin-bottom: 36px;
}

.widget-address.multiple > div > p > a {border-radius: 16px;}

.main-footer div.main-logo-branded > p {margin: 0; text-align: center;}
.main-footer div.main-logo-branded > p:last-child {margin-top: 16px;}

@media all and (max-width: 580px) {
	.main-footer div.widget-address.multiple > div:first-child {
		width: 80%;
		margin: 0 auto;
	}
	.main-footer div.footer-multiple-imgs > img.footer-logo {
		max-width : calc(33% - 24px);
	}
}
